# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2

EAPI=2
inherit eutils distutils

DESCRIPTION="SVGMath is a command-line utility to convert MathML expressions to
SVG"
HOMEPAGE="http://www.grigoriev.ru/svgmath/"
SRC_URI="mirror://sourceforge/svgmath/SVGMath-${PV}.zip"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64"

RDEPEND="
    app-text/mathml-xml-dtd
	media-fonts/corefonts"

DEPEND="${RDEPEND}
    app-text/dos2unix
	dev-python/setuptools"

DOCS="README.txt"

S="${WORKDIR}/SVGMath-${PV}"

src_prepare() {
	dos2unix math2svg.py svgmath.xml
	epatch "${FILESDIR}/${PN}-stdout.patch"
	epatch "${FILESDIR}/${PN}-config.patch"
	epatch "${FILESDIR}/${PN}-fonts.patch"
}

src_install() {
	distutils_src_install
	newbin math2svg.py math2svg
	insinto /etc/svgmath
	doins svgmath.xml
}
